package org.usfirst.frc1923.utils;

/**
 * A list of static entries for default configuration values.
 * 
 * @author Aaron Weiss
 * @version 1.5
 * @since 2/9/13
 */
public class DefaultConfiguration {
	public static final double EPSILON = 0.08;
	public static final double DRIVE_CORRECTION = 0;
	public static final double SHOOTER_DIFF = 0.025;
	public static final double SHOOTER_PNEUMATIC_TIME = 0.45;
	public static final boolean EXPERIMENTAL_DRIVE = false;
	public static final boolean EXPERIMENTAL_DRIVE_ATTACHMENT = false;
	public static final boolean SHOOTER_ALWAYS_ON = false;
	public static final boolean COMPRESSOR_ON = true;
	public static final double WHEEL_CIRCUMFERENCE = 4.2 * Math.PI;
	public static final int PULSE_RATE = 256;
	public static final double GEAR_RATIO = 22.0 / 32.0;
	public static final byte AUTON_PROGRAM = 1;
	public static final int AUTON_DISQUE_COUNT = 3;
	public static final int AUTON_SHOOTER_GEAR = 6;
	public static final double AUTON_DRIVE_DISTANCE = 12;
	public static final double AUTON_DRIVE_SPEED = 0.35;
	public static final long AUTON_WAIT_TIME = 4000;
	public static final long AUTON_RUN_TIME = 8000;
	public static final double GYRO_SENSITIVITY = 0.007;
	public static final double SHOOTER_AIMING_MARGIN = 0.05;
	public static final String CAMERA_RESOLUTION = "240p";
	public static final int CAMERA_COMPRESSION = 65;
	public static final int CAMERA_FRAMERATE = 25;
	public static final double AUTON_HOTEL_DISTANCE1 = 60;
	public static final double AUTON_HOTEL_DISTANCE2 = 84;
	public static final double AUTON_HOTEL_DISTANCE3 = 109;
	public static final String ALLIANCE_COLOR = "blue";
	public static final int SHOOTER_STARTING_GEAR = 6;
}